Subject: Poppies in South Florida?

From: [email-masked] (Debbie DeNeese)
Date: Sun, 02 Apr 1995 19:57:25 -1812

Any recommendations on how/if Poppies can be grown here in the South
Florida steam bath?

---------= http://inca.gate.net:80/~d_swartz/ =--------------
 Debbie DeNeese                     Email:  [email-masked]
 Neurodisc Records, Inc.            (finger for pgp public key)             
 450 N. Park Road  Suite 700             (305) 963-0555 [voice]
 Hollywood, FL   33021                   (305) 964-1117 [fax]